/***** Includes *****/
#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include "mxc_config.h"
#include "iic.h"
#include "led.h"
#include "oled.h"
#include "amg8833.h"
volatile int buttonPressed = 0;					//ťƣл ʾƽ¶ ǻ׼¶
uint8_t baseavg=0;
void buttonHandler(void *pb){
    buttonPressed = !buttonPressed;
		baseavg=!baseavg;
}

//¶Ⱦл С ƽֵ
void getvalfrommatrix(float *matrix,float *temperature){
	uint8_t i;
	float sumval=0;
	temperature[0]=matrix[0];
	temperature[1]=matrix[0];
	for(i=0;i<64;i++){
		if(temperature[0]<matrix[i]) temperature[0]=matrix[i];
		if(temperature[1]>matrix[i]) temperature[1]=matrix[i];
		sumval+=matrix[i];
	}
	temperature[2]=sumval/64.0;
}
int main(void){
	float pixels[64],temperatureval[3],baseval;
	i2cInit();
	oled_configuration();
	delay_ms(100);
	//oledShowBigNum(0,5);
	//oledShowBigNum(3,7);
	delay_ms(100);
	amg88xxInit();
	PB_RegisterCallback(0, buttonHandler);
	while(1){		
		delay_ms(1500);
		readPixels(pixels);					//û¶Ⱦ
		baseval=readThermistor();  	//ο¶
		getvalfrommatrix(pixels,temperatureval);
		printf("base=%.2f    max=%.2f    min=%.2f    avg=%.2f\n",baseval,temperatureval[0],temperatureval[1],temperatureval[2]);
		oled_cls();
		if(baseavg){
			LED_On(13);
			oledShow4Big(baseval,0,0);		
		}else{
			LED_Off(13);
			oledShow4Big(temperatureval[2],0,1);
		}
		oledshowinfo(temperatureval);
	}
}

